# MINISHELL
## Bash alternative
## Description

Minishell is a computer project that involves creating a minimalistic shell (or command interpreter) in the C language. A shell is a program that allows the user to interact with the operating system by entering commands from a terminal.

The goal of the Minishell project is to understand how a shell works, particularly how it interprets the commands entered by the user, executes them, and displays the results. The project is usually proposed to computer science students as part of a university curriculum or online training.

The Minishell project must implement a set of basic commands such as cd (to change directory), echo (to display text), pwd (to display the current directory), and system commands such as ls, cat, grep, etc. The shell must also handle environment variables, processes, and signals.

The development of the Minishell project is typically done in several stages: first, the user commands must be parsed and transformed into a data structure usable by the program. Next, the different basic commands must be implemented, followed by the system commands. Finally, environment variables, processes, and signals must be managed.

The Minishell project allows students to become familiar with system programming in C, concepts such as processes, signals, environment variables, and interaction with the operating system. It is also an excellent way to deepen programming knowledge and develop problem-solving skills.

## Team
camille@chauvet.pro
xamora@42l.fr

## Requirement
- clang
- readline

## Subject
![Subject (EN)](./subject.pdf)
